Subject: Re: bug#52435: 29.0.50; C-y seems to contain an old contents

From: Phil Sainty <[email-masked]>
Date: Wed, 15 Dec 2021 01:13:32 +1300

> > Do I understand correctly: you expect that C-x o deactivates
> > the mark, but it doesn't?
> 
> It's exactly this for me surprising behaviour.

Note that "C-x o" selects a window.  The value of `current-buffer'
may (or may not) change as a result of selecting a window, but the
`other-window' command will not cause changes to any of the buffers
themselves.

> The documentation in GNU Emacs 29.0.50 has become vague

I think it's become clearer by using the phrase "change the text
in the buffer" rather than the earlier phrase "changing the buffer"
-- which I expect meant exactly the same thing, but which could be
misinterpreted in the above manner.

-Phil